org.eclipse.jface.text

## Class AbstractLineTracker.Request

- java.lang.Object
- - org.eclipse.jface.text.AbstractLineTracker.Request

Enclosing class:
  AbstractLineTracker

    protected static class AbstractLineTracker.Request
    extends Object

Representation of replace and set requests.

Since:
  3.1

### Field Summary

Fields
`int` `length`
`int` `offset`
`String` `text`

### Constructor Summary

Constructors
Constructor and Description
`Request(int offset, int length, String text)`
`Request(String text)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isReplaceRequest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### offset

    public final int offset

#### length

    public final int length

#### text

    public final String text

### Constructor Detail

#### Request

    public Request(int offset,
                   int length,
                   String text)

#### Request

    public Request(String text)

### Method Detail

#### isReplaceRequest

    public boolean isReplaceRequest()